Subject: bug#59945: [PATCH] Fix empty pairs in js tree-sitter imenu alist

From: Yuan Fu <[email-masked]>
Date: Thu, 15 Dec 2022 17:40:32 -0800

"Charl P. Botha" <[email-masked]> writes:

> Dear Yuan,
>
> On Tue, Dec 13, 2022, at 14:03, Eli Zaretskii wrote:
>>> From: Yuan Fu <[email-masked]>
>>> Date: Mon, 12 Dec 2022 14:28:19 -0800
>>> Cc: [email-masked],
>>>  Eli Zaretskii <[email-masked]>
>>> 
>>> Thank you very much! Sorry for the inconvenience it caused. Have you
>>> signed the copyright assignment? I’m asking because this change is on
>>> the verge of 15 lines. Eli, WDYT?
>>
>> Yes, it's fine to install this, but please remember to add the
>> Copyright-paperwork-exempt thingy to the log message.
>
> In the meantime, I've sent my signed copyright assignment, and my employer's docusigned disclaimer of rights, to the FSF.
>
> I would be super grateful if you could add the commit when you can make the time.

Thanks. Unless I’m missing something, your patch is a diff file rather
than a patch file. You can generate one with

git format-patch -1 --stdout >~/mypatch.patch

Don’t worry about commit message this time, I’ll reword your commit and
add it. But if you want to submit more patches in the future I recommend
you to read CONTRIBUTE file under repo root, which describes the commit
message format Emacs uses.

Yuan